FROM mcr.microsoft.com/dotnet/aspnet:5.0 AS base
WORKDIR /app
EXPOSE 5001

FROM mcr.microsoft.com/dotnet/sdk:5.0 AS build
WORKDIR /src
COPY ["antblo-chat-backend-build.csproj", "./"]
RUN dotnet restore "antblo-chat-backend-build.csproj"
COPY . .
WORKDIR "/src/."
RUN dotnet build "antblo-chat-backend-build.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "antblo-chat-backend-build.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "antblo-chat-backend-build.dll"]
